package com.red.circle.other.app.service.user;


import com.red.circle.other.app.dto.clientobject.user.RoomManagerAuthsCO;
import com.red.circle.other.app.dto.clientobject.user.user.UserManagerAuthsCO;
import com.red.circle.other.app.dto.cmd.material.PropsGiveAwayCmd;
import com.red.circle.other.app.dto.cmd.material.PropsStoreTypeQryCmd;
import com.red.circle.other.app.dto.cmd.user.ManagerApprovalCmd;
import com.red.circle.other.app.dto.cmd.user.RoomManageCommonCmd;
import com.red.circle.other.inner.model.dto.material.PropsResourcesDTO;

import java.util.List;

/**
 * 管理员权限服务.
 *
 * @author pengliang on 2021/4/6
 */
public interface ManagerAuthService {

  RoomManagerAuthsCO managerAuths(RoomManageCommonCmd roomManageCommonCmd);

  void approval(ManagerApprovalCmd cmd);

  List<PropsResourcesDTO> propsList(PropsStoreTypeQryCmd cmd);

  void sendProps(PropsGiveAwayCmd cmd);

  UserManagerAuthsCO userAuths(Long userId);
}
